/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.kernel.service.base;

/**
 * Abstract interface used in the generic parameter of the {@link ObjectAware2ServiceBase} base
 * implementation. A plugable extension to
 * the kernel may be parameterized by two object classes. If the extending
 * handler's interface extends the current interface, {@link ObjectAware2ServiceBase} can be used to
 * ease the extension mechanism.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 2342F5CDCEF212678700824A7FCAF8AD
 */
public interface IObjectAware2<S extends Object, T extends Object> extends IObjectAware<T> {
	// nothing specific is need here
}
