/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.lib.commons.error;

/**
 * An error class for signaling problems in the execution environment, e.g. a
 * missing XML parser implementation.
 * 
 * @author deissenb
 * @author $Author: deissenb $
 * @version $Rev: 35183 $
 * @ConQAT.Rating GREEN Hash: 13E9E7F4553498861137FF8C97AC5140
 */
public class EnvironmentError extends Error {

	/** Create new error. */
	public EnvironmentError(String message) {
		super(message);
	}

	/** Create new error. */
	public EnvironmentError(String message, Throwable cause) {
		super(message, cause);
	}

	/** Create new error. */
	public EnvironmentError(Throwable cause) {
		super(cause);
	}
}